module ElFinder2
  class File < ActiveRecord::Base
    include ElFinder2::HashUtils
    has_closure_tree

    validates :name, uniqueness: { scope: :parent_id }

    def self.find_by_path(path)
      super(path.split('/'))
    end

    def self.path_exists?(path)
      !!find_by_path(path.split('/'))
    end

    def self.upload_attributes(_)
      {}
    end

    def path
      ancestry_path.join('/')
    end

    def path_hash
      "#{ElFinder2::VOLUME_ID}_#{to_base64url(path)}"
    end
  end
end
