module ElFinder2
  class Image < ElFinder2::File
    has_attached_file :content, ElFinder2.configuration.image_attachment

    validates_attachment :content, ElFinder2.configuration.image_validations

    delegate :content_type, :size, :url, to: :content

    def self.upload_attributes(upload)
      geometry = Paperclip::Geometry.from_file(upload.path)

      { dimensions: "#{geometry.width.to_i}x#{geometry.height.to_i}" }
    end
  end
end
