module ElFinder2
  class FileSerializer < ActiveModel::Serializer
    include ElFinder2::HashUtils

    self.root = false

    attributes :name, :hash, :phash, :date, :ts, :size, :read, :write, :locked

    def filter(keys)
      if object.parent_id
        keys
      else
        keys - [:phash]
      end
    end

    def hash
      object.path_hash
    end

    def locked
      0
    end

    def phash
      object.parent.path_hash
    end

    def read
      1
    end

    def date
      object.updated_at.to_s
    end

    def ts
      object.updated_at.try(:tv_sec).to_i
    end

    def write
      1
    end
  end
end
