class CreateElFinder2FileHierarchies < ActiveRecord::Migration
  def change
    create_table :el_finder2_file_hierarchies, id: false do |t|
      t.integer :ancestor_id, null: false
      t.integer :descendant_id, null: false
      t.integer :generations, null: false
    end

    add_index :el_finder2_file_hierarchies, [:ancestor_id, :descendant_id, :generations],
              unique: true,
              name: 'file_anc_desc_idx'

    add_index :el_finder2_file_hierarchies, [:descendant_id],
              name: 'file_desc_idx'
  end
end
