require 'el_finder2/hash_utils'
require 'el_finder2/command/base'
# require 'el_finder2/command/dim'
require 'el_finder2/command/duplicate'
require 'el_finder2/command/file'
require 'el_finder2/command/mkdir'
require 'el_finder2/command/open'
require 'el_finder2/command/parents'
require 'el_finder2/command/rename'
require 'el_finder2/command/resize'
require 'el_finder2/command/rm'
require 'el_finder2/command/size'
require 'el_finder2/command/tmb'
require 'el_finder2/command/tree'
require 'el_finder2/command/upload'

module ElFinder2
  module Command
    def self.dispatch(controller, params)
      verb = params.delete(:cmd)

      fail ElFinder2::Error.new('No command specified') unless verb

      command_class = verb.capitalize
      command_implemented = const_defined?(command_class)

      fail ElFinder2::Error.new("Unrecognized command: #{verb}") unless command_implemented

      command = const_get(command_class)

      command.new(controller, params).execute
    end
  end
end
