module ElFinder2
  module Command
    class Mkdir < Base
      # Response:
      #   added : (Array) Array with a single object - a new directory.
      def execute
        new_folder = ElFinder2::Folder.all.merge(@folder.children).create(name: @name)

        fail ElFinder2::Error.new(['errMkdir', @name]) unless new_folder.persisted?

        render json: {
          added: ActiveModel::ArraySerializer.new([new_folder]).as_json
        }
      end

      # Arguments:
      #   target : hash of target directory,
      #   name : New directory name
      private def parse_params!(params)
        target = params[:target]
        @name = params[:name]

        fail ElFinder2::Error.new(%w(errCmdParams file)) unless target && @name

        path = to_path(target)

        @folder = ElFinder2::Folder.find_by_path(path)

        fail ElFinder2::Error.new('errFolderNotFound') unless @folder
      end
    end
  end
end
