module ElFinder2
  module Command
    # Output file into browser. This command applies to download and preview
    # actions.
    class File < Base
      # May need to set Content-Disposition, Content-Location and
      # Content-Transfer-Encoding. Content-Disposition should have 'inline' for
      # preview action or 'attachments' for download.
      def execute
        if @download
          data = Paperclip.io_adapters.for(@file.content)
          send_data(data.read, filename: @file.name, type: @file.content_type)
        else
          redirect_to @file.content.url
        end
      end

      # Arguments:
      #   target : file's hash,
      #   download : Send headers to force download file instead of opening it in
      #     the browser.
      private def parse_params!(params)
        target = params[:target]
        fail ElFinder2::Error.new(%w(errCmdParams file)) unless target

        path = to_path(target)

        @file = ElFinder2::File.find_by_path(path)

        fail ElFinder2::Error.new('errFileNotFound') unless @file

        @download = params[:download] == '1'
      end
    end
  end
end
