module ElFinder2
  module Command
    class Rm < Base
      def execute
        files = @targets.flat_map(&:self_and_descendants).uniq
        hashes = files.map(&:path_hash)
        files.map(&:destroy)

        render json: { removed: hashes }
      end

      private def parse_params!(params)
        targets = params[:targets]
        fail ElFinder2::Error.new(%w(errCmdParams rm)) unless targets.present?

        @targets = targets
                   .map(&method(:to_path))
                   .map(&ElFinder2::File.method(:find_by_path))
                   .compact
      end
    end
  end
end
