module ElFinder2
  module Command
    # Returns the size of a directory or file.
    class Size < Base
      include ElFinder2::HashUtils

      # Response:
      #   size: The total size for all the supplied targets.
      def execute
        size = @targets.sum(&:size)

        render json: { size: size }
      end

      # Arguments:
      #   cmd : size
      #   targets[] : hash paths of the nodes
      private def parse_params!(params)
        targets = params[:targets]
        fail ElFinder2::Error.new(%w(errCmdParams size)) unless targets.present?

        @targets = targets.
          map(&method(:to_path)).
          map(&ElFinder2::File.method(:find_by_path)).
          compact
      end
    end
  end
end
