module ElFinder2
  module Command
    class Tmb < Base
      def execute
        images = @targets.inject({}) do |hash, image|
          hash[image.path_hash] = image.url(:thumb)
        end

        render json: { images: images }
      end

      private def parse_params!(params)
        targets = params[:targets]
        fail ElFinder2::Error.new(%w(errCmdParams tmb)) unless targets.present?

        @targets = targets.
          map(&method(:to_path)).
          map(&ElFinder2::Image.method(:find_by_path)).
          compact
      end
    end
  end
end
