module ElFinder2
  module Command
    class Tree < Base
      def execute
        children = @folder.children.where(type: 'ElFinder2::Folder')

        render json: {
          tree: ActiveModel::ArraySerializer.new(children).as_json
        }
      end

      private def parse_params!(params)
        target = params[:target]

        fail ElFinder2::Error.new(%w(errCmdParams tree)) unless target

        path = to_path(target)

        @folder = ElFinder2::Folder.find_by_path(path)

        fail ElFinder2::Error.new('errFolderNotFound') unless @folder
      end
    end
  end
end
