require 'el_finder2/error'
require 'el_finder2/command'
require 'el_finder2/engine'

module ElFinder2
  class Engine < ::Rails::Engine
    isolate_namespace ElFinder2

    initializer :append_migrations do |app|
      config.paths['db/migrate'].expanded.each do |path|
        app.config.paths['db/migrate'] << path
      end
    end

    config.generators do |g|
      g.test_framework :rspec
      g.fixture_replacement :factory_girl, dir: 'spec/factories'
      g.assets = false
      g.helper = false
      g.template_engine false
    end
  end
end
