module ElFinder2
  module HashUtils
    def from_base64url(hash)
      padding = ['', '', '==', '='][hash.length % 4] # ensure input is padded
      Base64.urlsafe_decode64(hash + padding)
    end

    def to_base64url(string)
      Base64.urlsafe_encode64(string).tr("=\n", '')
    end

    def to_path(hash, default = nil)
      volume_id, target = hash.split('_')

      valid = volume_id == ElFinder2::VOLUME_ID && target

      valid && from_base64url(target) || default
    rescue ArgumentError
      default
    end
  end
end
